:root {
    --Text-DarkGray: #21272A;
    --Text-LightGray: #697077;
    --Text-Black: #000000;
    --Text-White: #FFFFFF;
    --Hyperlinks-Blue: #1226AA;
    --Background-Input: #EEE;
}

html, body {
    height: 100%;
    margin: 0;
    padding: 0;
}

.auth-bg {
    position: relative;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

/* image */
.auth-bg-image {
    position: absolute;
    inset: 0;
    background: url('/img/nacor-background-login.png');
    background-size: cover;
    background-position: center;
    transform: scale(1.05);
    z-index: 0;
}

/* content */
.auth-content {
    position: relative;
    z-index: 1;
    display: flex;
    flex: 1;
    justify-content: center;
    align-items: center;
}

/* Keep centralized */
.auth-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

/* Footer */
.auth-footer {
    margin-top: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 63px;
    padding: 27px 80px;
    border-top: 1px solid #ACACAC;
    position: relative;
    z-index: 1;
}

/* Footer content */
.auth-footer__content {
    color: #3A3939;
    text-align: center;
    font-family: Lato, sans-serif;
    font-size: 14px;
    font-weight: 500;
    line-height: 140%;
}

/* Card */
.auth-card {
    width: 100%;
    max-width: 525px;
    padding: 56px 80px;
    display: flex;
    flex-direction: column;
    gap: 24px;
    background: var(--Text-White);
    border: 1px solid #DDE1E6;
    box-shadow: 0 4px 4px rgba(0,0,0,0.25);
}

/* Header */
.auth-card__header {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 8px;
}

/* Title */
.auth-title {
    font-family: Lato, sans-serif;
    font-size: 42px;
    font-weight: 700;
    line-height: 110%;
    color: var(--Text-DarkGray);
    text-align: center;
    margin: 0;
}

/* Subtitle */
.auth-subtitle {
    font-family: Lato, sans-serif;
    font-size: 18px;
    line-height: 140%;
    color: var(--Text-DarkGray);
    margin-bottom: 24px;
    text-align: center;
}

/* Form */
.auth-form {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

/* Field */
.auth-field {
    display: flex;
    flex-direction: column;
    gap: 8px;
    position: relative;
}

    .auth-field .remainingChars {
        position: absolute;
        right: 14px;
        bottom: 10px;
        font-size: 12px;
        color: var(--Text-Black);
        display: none;
        float: none;
        margin: 0;
    }

/* Label */
.auth-label {
    font-family: Lato, sans-serif;
    font-size: 16px;
    color: var(--Text-DarkGray);
}

/* Input */
.auth-input {
    height: 48px;
    padding: 12px 16px;
    border: none;
    outline: none;
    box-shadow: none;
    background: #F4F4F4;
    font-family: Lato, sans-serif;
    font-size: 16px;
    font-style: italic;
    color: var(--Text-LightGray);
}

    .auth-input:focus {
        border: 1px solid var(--Hyperlinks-Blue);
    }

.auth-input-wrapper {
    position: relative;
}

    .auth-input-wrapper .auth-input {
        width: 100%;
        padding-right: 40px;
    }

.auth-eye {
    position: absolute;
    right: 12px;
    top: 50%;
    transform: translateY(-50%);
    background: transparent;
    border: none;
    padding: 0;
    width: 24px;
    height: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

    .auth-eye svg {
        width: 20px;
        height: 20px;
    }

/* initial state */
.eye-off {
    display: none;
}

/* when active */
.auth-eye.active .eye-open {
    display: none;
}

/* when inactive */
.auth-eye.active .eye-off {
    display: block;
}

/* remove outline feio */
.auth-eye:focus {
    outline: none;
}

.auth-eye:hover svg {
    opacity: 0.7;
    transition: opacity 0.2s ease;
}

/* Helper text */
.auth-helper {
    font-size: 12px;
    color: var(--Text-LightGray);
}

/* Link */
.auth-link {
    font-size: 16px;
    color: var(--Hyperlinks-Blue);
    text-decoration: underline;
    text-underline-offset: 4px;
}

/* Checkbox */
.auth-checkbox {
    display: flex;
    align-items: center;
    gap: 8px;
    font-size: 14px;
}

.auth-bottom {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

/* row remember + forgot */
.auth-bottom__row {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* button full width */
.auth-button {
    width: 100%;
    height: 48px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #F8DF8D;
    border: none;
    font-size: 16px;
    font-weight: 700;
    letter-spacing: 0.5px;
    text-transform: uppercase;
    /*cursor: pointer;*/
}

    .auth-button:hover {
        background: #FCC47E;
    }

/* Small card */
.auth-card--sm {
    max-width: 525px;
    padding: 24px;
    background: #F9FAFB;
    box-shadow: 0 12px 16px -4px rgba(16,24,40,0.08), 0 4px 6px -2px rgba(16,24,40,0.03);
}

/* Small title */
.auth-title-sm {
    font-family: Lato, sans-serif;
    font-size: 24px;
    font-weight: 600;
    line-height: 32px;
    color: #000;
    text-align: center;
    margin: 0;
}

/* Small Subtitle */
.auth-subtitle-sm {
    font-size: 16px;
    line-height: 24px;
    color: #475467;
    text-align: center;
    margin: 0;
}

/* input background */
.auth-card--sm .auth-input {
    background: var(--Background-Input);
}

/* button full size */
.auth-card--sm .auth-button {
    width: 100%;
}

/* "or Sign in" */
.auth-back {
    display: flex;
    justify-content: center;
    gap: 8px;
    font-size: 14px;
    color: #475467;
}

/* forgot title */
.forgot-title {
    font-size: 24px;
    font-weight: 600;
    text-align: center;
}

/* subtitle */
.forgot-subtitle {
    font-size: 16px;
    color: #475467;
    text-align: center;
}

/* forgot input */
.forgot-input {
    background: var(--Background-Input);
    border: none;
}

.auth-card--medium {
    width: 600px;
    min-height: 520px;
    padding: 48px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 24px;
}

.grecaptcha-badge {
    z-index: 9999 !important;
}

/* card bigger */
.auth-card--bg {
    max-width: 725px;
    padding: 32px;
    background: #F9FAFB;
    box-shadow: 0 12px 16px -4px rgba(16,24,40,0.08), 0 4px 6px -2px rgba(16,24,40,0.03);
}

/* ========================= */
/* RESPONSIVE (mobile/tablet) */
/* ========================= */

@media (max-width: 768px) {

    .auth-card {
        padding: 32px 24px;
    }

    .auth-title {
        font-size: 28px;
    }

    .auth-subtitle {
        font-size: 16px;
    }

    .auth-footer {
        padding: 27px;
    }

    .auth-card--medium {
        width: 100%;
        max-width: 100%;
        min-height: auto;
        padding: 32px 24px;
    }
}
